<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>NullEscherSerializationListener (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NullEscherSerializationListener (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/NullEscherSerializationListener.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html" title="class in org.apache.poi.ddf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ddf/UnknownEscherRecord.html" title="class in org.apache.poi.ddf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/NullEscherSerializationListener.html" target="_top">Frames</a>
        </li>
        <li><a href="NullEscherSerializationListener.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ddf</div>
    <h2 title="Class NullEscherSerializationListener" class="title">Class NullEscherSerializationListener</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ddf.NullEscherSerializationListener</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../org/apache/poi/ddf/EscherSerializationListener.html"
                           title="interface in org.apache.poi.ddf">EscherSerializationListener</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">NullEscherSerializationListener</span>
extends java.lang.Object
implements <a href="../../../../org/apache/poi/ddf/EscherSerializationListener.html"
              title="interface in org.apache.poi.ddf">EscherSerializationListener</a></pre>
                <div class="block">Ignores all serialization events.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/NullEscherSerializationListener.html#NullEscherSerializationListener--">NullEscherSerializationListener</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/NullEscherSerializationListener.html#afterRecordSerialize-int-short-int-org.apache.poi.ddf.EscherRecord-">afterRecordSerialize</a></span>(int&nbsp;offset,
                                    short&nbsp;recordId,
                                    int&nbsp;size,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                       title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;record)</code>
                                    <div class="block">Fired after a record has been serialized.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/NullEscherSerializationListener.html#beforeRecordSerialize-int-short-org.apache.poi.ddf.EscherRecord-">beforeRecordSerialize</a></span>(int&nbsp;offset,
                                    short&nbsp;recordId,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                       title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;record)</code>
                                    <div class="block">Fired before a given escher record is serialized.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="NullEscherSerializationListener--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>NullEscherSerializationListener</h4>
                                <pre>public&nbsp;NullEscherSerializationListener()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="beforeRecordSerialize-int-short-org.apache.poi.ddf.EscherRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>beforeRecordSerialize</h4>
                                <pre>public&nbsp;void&nbsp;beforeRecordSerialize(int&nbsp;offset,
                                  short&nbsp;recordId,
                                  <a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                     title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;record)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherSerializationListener.html#beforeRecordSerialize-int-short-org.apache.poi.ddf.EscherRecord-">EscherSerializationListener</a></code></span>
                                </div>
                                <div class="block">Fired before a given escher record is serialized.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherSerializationListener.html#beforeRecordSerialize-int-short-org.apache.poi.ddf.EscherRecord-">beforeRecordSerialize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../org/apache/poi/ddf/EscherSerializationListener.html"
                                                title="interface in org.apache.poi.ddf">EscherSerializationListener</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - The position in the data array at which the record will be
                                        serialized.
                                    </dd>
                                    <dd><code>recordId</code> - The id of the record about to be serialized.</dd>
                                    <dd><code>record</code> - The record to be serialized</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="afterRecordSerialize-int-short-int-org.apache.poi.ddf.EscherRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>afterRecordSerialize</h4>
                                <pre>public&nbsp;void&nbsp;afterRecordSerialize(int&nbsp;offset,
                                 short&nbsp;recordId,
                                 int&nbsp;size,
                                 <a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;record)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherSerializationListener.html#afterRecordSerialize-int-short-int-org.apache.poi.ddf.EscherRecord-">EscherSerializationListener</a></code></span>
                                </div>
                                <div class="block">Fired after a record has been serialized.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherSerializationListener.html#afterRecordSerialize-int-short-int-org.apache.poi.ddf.EscherRecord-">afterRecordSerialize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../org/apache/poi/ddf/EscherSerializationListener.html"
                                                title="interface in org.apache.poi.ddf">EscherSerializationListener</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - The position of the end of the serialized record + 1</dd>
                                    <dd><code>recordId</code> - The id of the record about to be serialized</dd>
                                    <dd><code>size</code> - The number of bytes written for this record. If it is a
                                        container
                                        record then this will include the size of any included records.
                                    </dd>
                                    <dd><code>record</code> - The record which was serialized</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/NullEscherSerializationListener.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html" title="class in org.apache.poi.ddf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ddf/UnknownEscherRecord.html" title="class in org.apache.poi.ddf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/NullEscherSerializationListener.html" target="_top">Frames</a>
        </li>
        <li><a href="NullEscherSerializationListener.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
